Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
Class JspRenderErrorsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
                  org.codehaus.groovy.grails.web.taglib.jsp.JspRenderErrorsTag

All Implemented Interfaces:
  Serializable, BodyTag, DynamicAttributes, IterationTag, JspTag, Tag

    public class JspRenderErrorsTag

extends JspInvokeGrailsTagLibTag

JSP facade onto the GSP renderErrors tag

Since:
  28-Feb-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`attributes`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JspRenderErrorsTag()`

Method Summary
`String` | `getAs()`
`String` | `getBean()`
`String` | `getField()`
`String` | `getModel()`
`void` | `setAs(String as)`
`void` | `setBean(String bean)`
`void` | `setField(String field)`
`void` | `setModel(String model)`

Methods inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JspRenderErrorsTag

    public JspRenderErrorsTag()

Method Detail

### getAs

    public String getAs()

### setAs

    public void setAs(String as)

### getBean

    public String getBean()

### setBean

    public void setBean(String bean)

### getModel

    public String getModel()

### setModel

    public void setModel(String model)

### getField

    public String getField()

### setField

    public void setField(String field)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project